### Method

# Fwupd Client inhibit_async

since: 1.8.11

#### Declaration [src]

    void
    fwupd_client_inhibit_async (
      FwupdClient* self,
      const gchar* reason,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Marks all devices as unavailable for update. Update is only available if there is no other inhibit imposed by other applications or by the system (e.g. low power state).

The same application can inhibit the system multiple times.

Available since: 1.8.11

This method completes asynchronously. Use `fwupd_client_inhibit_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`reason`

  Type: `const gchar*`

  The inhibit reason, e.g. `user active`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.